Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class GetAvailableTemplatesResponseDocument

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.wmps.operation.GetAvailableTemplatesResponseDocument

All Implemented Interfaces:
  OGCWebServiceResponse

    public class GetAvailableTemplatesResponseDocument

extends DefaultOGCWebServiceResponse

Represents an Initial Response document for a WMPS GetAvailableTemplatesResponse

Version:
  $Revision: 20967 $, $Date: 2009-11-23 16:49:00 +0100 (Mo, 23. Nov 2009) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Field Summary
`protected static URI` | `WMPSNS`

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`GetAvailableTemplatesResponseDocument(OGCWebServiceRequest request)`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton response document that contains the mandatory elements only.
`Element` | `getRootElement()` Get Root Element of the document.

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WMPSNS

    protected static final URI WMPSNS

Constructor Detail

### GetAvailableTemplatesResponseDocument

    public GetAvailableTemplatesResponseDocument(OGCWebServiceRequest request)

Parameters:
  `request` -

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Creates a skeleton response document that contains the mandatory elements only.

  Throws:
    `IOException`
    `SAXException`

### getRootElement

    public Element getRootElement()

  Get Root Element of the document.

  Returns:
    Element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org